### File

`packages/components/layout/eui-app-v2/eui-app-sidebar/eui-app-sidebar.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-app-sidebar`
imports | `EUI_ICON_BUTTON`
templateUrl | `./eui-app-sidebar.html`
styleUrl | `./eui-app-sidebar.scss`

### Index

###### Properties
role
###### Methods
onClose
###### HostBindings
attr.role class
###### Accessors
cssClasses

### HostBindings

attr.role
Type : `string`
Default value : `'nav'`

class
Type : `string`

### Methods

onClose
`onClose()`
Returns : `void`

### Properties

role
Type : `string`
Default value : `'nav'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""